.grid-container {
    display: grid;
    grid-template-columns: 1fr 350px;
    grid-gap: 10px;
}

.readiness-training-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 20px;
    padding-bottom: 60px;
}

.readiness-training-grid img {
    width: 200px;
    height: auto;
    cursor: pointer;
    margin: 0 auto;
}

.readiness-training-grid a {
    height: auto;
    cursor: pointer;
    margin: 0 auto;
}


.grid-menu {
    display: flex;
    flex-direction: column;
    justify-content: start;
}

.menu-tabs {
    display: flex;
    flex-direction: row;
    justify-content: start;
    gap: 19px;
    padding: 20px 0px;
    background-color: #2d406c;
    z-index: 1000;
}

.option-grid {
    padding-top: 15px;
    padding-left: 35px;
}

#mini-video-2 {
    border-radius: 30px;
    align-items: center;
    text-align: center;
    margin-top: 30px;
}

.mini-video-hidden {
    display: none;
}

#mini-video-mobile {
    width: 50%;
    margin: 0 auto;
    border-radius: 30px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.mini-video-title {
    text-align: center;
    margin-top: 38px;
}

.mini-video-title h3 {
    color: #FFF;
}

.email-fab-hidden {
    display: none !important;
}

.body-video {
    align-items: center;
    text-align: center;
    margin-top: 30px;
}

.body-video-placeholder {
    width: 80%;
    margin: 0 auto;
    border-radius: 30px !important;
}

.btn {
    background-color: #61adc7;
    /* background-color: #333333; */
    border: none;
    border-radius: 30px;
    color: #000;
    /* color: #FFF !important; */
    padding: 10px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    font-weight: 500;
    cursor: pointer;
    min-height: 64px;
    display: flex;
    align-items: center;
    justify-content: start;
}

.btn-grid {
    background-color: #333333 !important;
    color: #FFF !important;
}

.btn-back {
    background-color: #2d406c !important;
    padding: 10px 15px 10px 15px !important;
    border-radius: 30px 30px 30px 30px !important;
    border: 2px white solid;
    color: #FFF !important;
}

.btn span {
    margin-top: 5px;
    font-size: 1.1rem;
}

/* #btn0 {
    display: none;
} */

.btn-nav {
    background: #29B4CE;
    border-radius: 30px;
    cursor: pointer;
    border: none !important;
}

.btn-nav:hover {
    background: #2AC0DC;
}

#login-form button,
#register-form button,
[type=button],
[type=submit],
button {
    background: #29B4CE;
    border-radius: 30px;
    cursor: pointer;
    border: none;
    color: #212121;
    padding: 10px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    font-weight: 400;
    cursor: pointer;
    min-height: 64px;
    display: flex;
    align-items: center;
    justify-content: start;
    border: none;
    border-radius: 30px;
}

#login-form button:hover,
#register-form button:hover,
[type=button]:hover,
[type=submit]:hover,
button:hover {
    background: #2AC0DC;
}


button:disabled {
    background-color: #D6D6D6 !important;
    /* Background color for disabled state */
    color: #2d406c;
    /* Text color for disabled state */
    cursor: not-allowed;
    /* Cursor to indicate the button is not clickable */
}

.name-disabled {
    color: darkgray !important;
    cursor: not-allowed;
}

.btn img {
    width: 32px;
    height: 32px;
    margin-right: 16px;
}

.grid-menu .btn {
    margin-bottom: 8px;
}

.btn:hover {
    background-color: #2AC0DC;
    color: #000;
}

.btn:focus {
    background-color: #ececec;
    color: #000;
    outline: none;
}

.content {
    background: #fff;
    border-radius: 30px;
    width: 100%;
    height: 0;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.highlight-text {
    color: #0052a2 !important;
    font-weight: 700 !important;
    cursor: pointer !important;
}

a:hover {
    text-decoration: underline;
}

.quiz-content {
    width: 100%;
    height: 0;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in;
}

/* Hide the radio button */
.custom-radio input[type="radio"] {
    display: none;
}

/* Style the label */
.custom-radio label {
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    line-height: 6px;
    color: #000;
}

/* Add a custom box before the label text */
.custom-radio label::before {
    content: '';
    position: absolute;
    left: 10px;
    top: -6px;
    width: 20px;
    height: 20px;
    border: 1px solid #000;
    background-color: #fff;
    border-radius: 3px;
    /* Optional: for rounded corners */
}

.custom-radio input[type="radio"]:checked+label::before {
    content: '✔';
    color: #000;
    background-color: #FFF;
    font-size: 15px;
    text-align: center;
    line-height: 17px;
}

.custom-checkbox input[type="checkbox"] {
    display: none;
}

/* .visually-hidden-text {
    width: 1px;
    height: 15px;
    margin: -1px;
    padding-left: 22px;
    overflow: visible;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

.custom-checkbox label {
    position: relative;
    padding-left: 30px;
    line-height: 6px;
    color: #000;
} */

.custom-checkbox label::before {
    content: '';
    position: absolute;
    left: -10px;
    top: -6px;
    width: 20px;
    height: 20px;
    border: 1px solid #000;
    background-color: #fff;
    border-radius: 3px;
}

.checklist-icon {
    width: 50px;
    margin-top: 15px;
    opacity: 10%;
}

.checklist-icon-activated {
    width: 50px;
    margin-top: 15px;
    opacity: 100%;
}

.anchor-target {
    scroll-margin-top: 250px;
    /* Adjust this value to match your fixed header's height */
}

.anchor-target-top {
    scroll-margin-top: 400px;
    /* Adjust this value to match your fixed header's height */
}

.checklist-icon-description {
    width: 18px;
    height: auto;
}

.custom-checkbox-no label::before {
    left: -5px;
}

.custom-checkbox input[type="checkbox"]:checked+label::before {
    content: '✔';
    color: green;
    background-color: #FFF;
    font-size: 20px;
    text-align: center;
    line-height: 20px;
}

.custom-checkbox-no input[type="checkbox"]:checked+label::before {
    content: 'X';
    color: red;
    background-color: #FFF;
    font-size: 20px;
    text-align: center;
    line-height: 20px;
}

.quiz-question input[type="radio"] {
    display: none;
}

.quiz-question label {
    position: relative;
    padding-left: 25px;
    cursor: pointer;
    display: inline-block;
    line-height: 20px;
    color: #333;
}

.quiz-question label::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    background-color: #fff;
    border-radius: 3px;
}

.quiz-question input[type="radio"]:checked+label::before {
    content: '✔';
    color: #000;
    background-color: #FFF;
    font-size: 20px;
    text-align: center;
    line-height: 20px;
}

.video-crop-container {
    width: 100%;
    height: auto;
    padding-top: 70%;
    position: relative;
    overflow: hidden;
    z-index: 10000;
}

.video-crop-container video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: auto;
    height: 100%;
    transform: translate(-50%, -50%);
    object-fit: cover;
    border: #000 1px solid;
    border-right-width: 2px;
    z-index: 10000;
}

.toggle-arrow {
    cursor: pointer;
    margin: 0;
}

.quiz-nav-buttons {
    display: flex;
    justify-content: space-between;
    /* This separates the buttons */
    align-items: center;
    /* This vertically centers the buttons if needed */
}

.quiz-content-inner {
    min-height: 350px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    /* This separates content and buttons */
    height: 100%;
    /* max-height: 400px; */
}

.questions-container {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 15px;
}

.question-block {
    flex: 1;
    min-width: calc(14.2587% - 10px);
    /* Three blocks per row with gap considered */
    padding: 10px;
    text-align: center;
    /* For highlight effect without shifting content */
}

.question-block.highlighted {
    background: #0052a2;
    border-color: #0052a2;
    border-radius: 50px;
    color: #FFF
        /* Highlight effect */
}

.questions-container-hidden {
    height: 0;
    max-height: 0;
    overflow: hidden;
    margin-bottom: 0;
}

.content-inner {
    padding: 60px 65px 60px 65px;
    z-index: 3;
    position: relative;
}

/* .content-inner-first {
    border: none;
} */

.blue {
    background-color: #4CAF50;
}

.hidden-form {
    height: 0;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in;
}

.visible {
    height: auto;
    max-height: 100%;
}

.btn-grid.active {
    /* background-color: #FFF; */
    background-color: #ececec !important;
    color: #000 !important;
}

.btn.active {
    background-color: #FFF !important;
    /* background-color: #ececec; */
    color: #000 !important;
}

#locked-content p {
    margin-bottom: 40px;
}

.option-choices-heading {
    width: 170px;
    margin: 0 0 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0.5em;
    text-align: center;
    line-height: 1.1em;
}

.option-heading {
    display: grid;
    grid-template-columns: 20px 1fr 170px;
    gap: 0.5em;
    align-items: center;
    justify-content: space-between;
    /* margin: 8px 0px; */
}

.option-heading h3 {
    margin: 0;
}

.option-choices {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0.5em;
    align-items: center;
    text-align: center;
    line-height: 1em;
    font-size: 1em;
    margin-top: -20px;
}

.option-options {
    display: grid;
    grid-template-columns: 50px 50px 50px;
    gap: 1em;
    align-items: center;
    padding: 15px 15px 0px 15px;
}

/* .option-options label {
    display: grid;
    grid-template-columns: 1em auto;
    gap: 0.5em;
} */

.option-help {
    text-align: center;
    display: none;
    cursor: pointer;
    color: #0052a2;
    margin-top: 6px;
}

.category {
    margin-bottom: 16px;
}

.option-labels {
    text-align: center;
    line-height: 1em;
    font-size: 1em;
    margin-bottom: 8px;
}

.modal {
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(51, 51, 51, 0.9);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all ease 1s;
    opacity: 0;
    pointer-events: none;
}

.modal.active {
    opacity: 1;
    pointer-events: auto;
}

.modal-loading {
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(51, 51, 51, 0.9);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all ease 1s;
    opacity: 0;
    pointer-events: none;
    z-index: 1000;
}

.modal-loading.active {
    opacity: 1;
    pointer-events: auto;
}

.modal-content {
    position: relative;
    background-color: #fff;
    margin: 0 auto;
    padding: 30px;
    border: 1px solid #888;
    width: 90%;
    max-width: 900px;
    border-radius: 12px;
}

.checklist-modal-content {
    max-width: 600px;
}

.modal-content .close {
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    position: absolute;
    top: -38px;
    right: 10px;
    z-index: 1;
    cursor: pointer;
}

.email-fab {
    position: fixed;
    /* Fixed position to float over content */
    bottom: 20px;
    /* 20 pixels from the bottom */
    right: 75px;
    /* 20 pixels from the right */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    /* Shadow for 3D 'lifted' effect */
    z-index: 1000;
    /* Ensures it floats above other elements */
    outline: none;
    /* Removes outline */
    border: none;
    /* Removes border */
    padding: 20px 30px 15px 30px !important;
    transition: background-color 0.3s, box-shadow 0.3s;
    /* Smooth transitions for hover */
}

#overview-placeholder {
    cursor: pointer;
}

#businessFunding-placeholder {
    cursor: pointer;
}

.popup-text a {
    color: #0052a2;
    cursor: pointer;
    font-style: italic;
}

.popup-text {
    padding: 20px 0px 0px 0px;
}

.popup-text p {
    margin: 0;
}

.center-loading {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;

}

.loader {
    border: 16px solid #f3f3f3;
    border-top: 16px solid #0052a2;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.collapse-content {
    overflow: hidden;
    transition: height 0.5s ease;
    height: auto;
}

.collapse-content div:last-child {
    margin-bottom: 15px;
}

.collapse-content-hidden {
    overflow: hidden;
    transition: height 0.5s ease;
    height: 0;
}

.collapse-content-options {
    overflow: hidden;
    transition: height 0.5s ease;
    height: 0;
    padding-left: 30px;
}

.options-grid-container {
    display: grid;
    grid-template-columns: 20px 3fr;
    align-items: center;
    gap: 10px;
}

.options-icons-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 9fr;
    gap: 10px;
    margin-top: 15px;
    margin-bottom: 15px;
}

.border-container {
    border-bottom: #d2d2d2 1px solid;
    margin-top: 15px;
}

.checklist {
    margin-top: 25px;
    margin-bottom: 15px;
}

.options-grid-container h3 {
    text-align: center;
}

.options-icons {
    text-align: center;
}

.fa-lg {
    text-align: center;
}

.header-container {
    display: flex;
    align-items: center;
    /* This aligns the items vertically in the center */
    gap: 20px;
    /* Optional: Adds space between the image and the h1 */
    padding: 10px;
}

.sidebar-btn-disabled {
    background-color: #2d406c;
    color: #FFF;
    cursor: not-allowed;
}

.content2-header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

@media screen and (min-width: 768px) {
    #content4 .border-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 10px;
        justify-content: space-between;
    }

    #content4 .options-icons-grid {
        grid-template-columns: 110px 110px 110px;
        margin-left: auto;
    }
}

.financial-management-separator {
    border-bottom: #d2d2d2 1px solid;
    margin-top: 15px !important;
    margin-bottom: 15px !important;
}

.fa-chevron-down {
    cursor: pointer;
}

.fa-chevron-right {
    cursor: pointer;
}

@media screen and (max-width: 1630px) {
    .grid-container {
        grid-template-columns: 100%;
        margin: 0px 20px;
    }

    .grid-container>.grid-content {
        order: 2;
    }

    .hidden-in-column {
        display: none !important;
    }

    .grid-container>.grid-menu {
        order: 1;
    }


    .grid-menu {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px;
        width: 100%;
    }

    /* .option-grid {
        margin-left: 20px;
        grid-template-columns: 1fr 170px;
        grid-gap: 10px;
    } */

    .option-choices-heading {
        width: 100%;
    }

    .category {
        margin-bottom: 15px;
    }

    .option-labels {
        text-align: center;
        line-height: 1em;
        font-size: 1em;
        margin-bottom: 8px;
    }

    /* .options-grid-container {
        display: grid;
        grid-template-columns: 1fr;
        align-items: center;
        gap: 10px;
    } */

    .border-container {
        border-bottom: #d2d2d2 1px solid;
        margin-top: 10px;
    }

    .checklist {
        margin-top: 20px;
    }

    .options-grid-container h3 {
        text-align: center;
    }

    .options-icons {
        text-align: center;
    }
}

@media screen and (max-width: 1400px) {
    .menu-tabs {
        overflow-x: auto;
        width: 100%;
        padding: 20px;
    }

    .readiness-training-grid {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .menu-tabs .btn {
        flex: 0 0 auto;
        /* Prevents flex items from growing or shrinking */
        /* margin: 5px; */
        /* Adds some space around buttons */
        /* padding: 10px 20px; */
        /* Padding inside buttons for better readability */
    }

    /* Styling for scrollbar on Webkit browsers like Chrome and Safari */
    .menu-tabs::-webkit-scrollbar {
        height: 8px;
        /* Height of the scrollbar */
    }

    .menu-tabs::-webkit-scrollbar-thumb {
        background-color: #888;
        /* Color of the scroll thumb */
        border-radius: 10px;
        /* Rounded corners of the scroll thumb */
    }

    .menu-tabs::-webkit-scrollbar-track {
        background: #f0f0f0;
        /* Color of the scrollbar track */
    }
}

@media screen and (max-width: 820px) {
    .fa-lg {
        font-size: 1.6em !important;
    }

    .grid-menu {
        grid-template-columns: 1fr;
    }

    .modal-disclaimer {
        font-size: 0.9rem;
    }

    .modal-content {
        top: 40px;
    }

    .option-help {
        margin-top: 0px;
    }

    .readiness-training-grid {
        grid-template-columns: 1fr 1fr;
    }

    .option-grid:last-child {
        margin-bottom: 0;
    }

    .option-options {
        grid-template-columns: 70px 30px 1fr;
    }

    .option-heading {
        grid-template-columns: 20px 1fr 65px;
    }

    .option-choices {
        grid-template-columns: 25px 25px;
        margin-top: -12px;
    }

    .option-label {
        display: none;
    }

    .content-inner {
        padding: 30px;
    }

    .grid-container {
        margin: 0px 0px;
    }

    .custom-radio label {
        display: block;
        padding-left: 22px;
    }

    .custom-radio label::before {
        left: -2px;
        top: -8px;
    }

    .visually-hidden-text {
        position: relative;
        overflow: visible;
    }

    .hide-on-mobile {
        display: none;

    }

    .options-icons-grid {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .collapse-content-options {
        padding-left: 30px;
        padding-right: 30px;
    }

    .options-grid-container {
        margin-top: 20px;
    }

    .options-icons-grid {
        margin-bottom: 30px;
        margin-top: 20px;
    }

    .tableclass {
        overflow: hidden;
        overflow-x: scroll;
        display: block;
    }

    .quiz-content-inner {
        min-height: 425px;
    }

    .btn-quiz {
        padding: 10px 32px !important;
    }
}

@media screen and (max-width: 600px) {
    .fa-lg {
        font-size: 1.4em !important;
    }

    h3 {
        font-size: 1.4rem;
    }

    h4 {
        font-size: 1.6rem;
    }

    .readiness-training-grid {
        grid-template-columns: 1fr;
        text-align: center;
    }
}